Update an employee.
curl --request POST \
--url https://api.parallellabs.app/api/v0/employees/{employeeId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"id": "<string>",
"companyId": "<string>",
"departmentIds": [
"<string>"
],
"name": "<string>",
"picture": "<string>",
"prompt": "<string>",
"responseInstructions": "<string>",
"tags": [
"<string>"
],
"title": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/employees/{employeeId}"
payload = {
"id": "<string>",
"companyId": "<string>",
"departmentIds": ["<string>"],
"name": "<string>",
"picture": "<string>",
"prompt": "<string>",
"responseInstructions": "<string>",
"tags": ["<string>"],
"title": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
companyId: '<string>',
departmentIds: ['<string>'],
name: '<string>',
picture: '<string>',
prompt: '<string>',
responseInstructions: '<string>',
tags: ['<string>'],
title: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/employees/{employeeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Employees
Update an employee.
POST
/
api
/
v0
/
employees
/
{employeeId}
Update an employee.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Body
application/json
Employee data
Response
Employee saved
Success response
Success message
⌘I

